<div class="card-body">

  <form #addStudentForm="ngForm">
    <div class="row">
      <div class="col-6">
        <div class="form-group">
          <label for="ime">
            <b>Ime</b>
          </label>
          <input type="text" placeholder="Ime" #ime="ngModel" class="form-control" name="student.ime"  required minlength="3" [(ngModel)]="student.ime">
          <p class="text-danger" *ngIf="ime.invalid && (ime.dirty || ime.touched)">Polje ne sme biti prazno</p>
        </div>
        <div class="form-group">
          <label for="prezime">
            <b>Prezime</b>
          </label>
          <input type="text" placeholder="Prezime" class="form-control" name="student.prezime" required minlength="3" [(ngModel)]="student.prezime" #prezime="ngModel">
          <p class="text-danger" *ngIf="prezime.invalid && (prezime.dirty || prezime.touched)">Polje ne sme biti prazno</p>
        </div>
        <div class="form-group">
          <label for="adresa">
            <b>Adresa Stanovanja</b>
          </label>
          <input type="text" placeholder="Adresa" class="form-control" name="student.adresaStanovanja" required minlength="5" #adresa="ngModel" [(ngModel)]="student.adresaStanovanja">
          <p class="text-danger" *ngIf="adresa.invalid && (adresa.dirty || adresa.touched)">Polje ne sme biti prazno</p>
        </div>
        <div class="form-group">
          <label for="drzavljanstvo">
            <b>Drzavljanstvo</b>
          </label>
          <input type="text" placeholder="Drazavljanstvo" class="form-control" name="student.drzavljanstvo" required minlength="5" #drzavljanstvo="ngModel"
            [(ngModel)]="student.drzavljanstvo">
            <p class="text-danger" *ngIf="drzavljanstvo.invalid && (drzavljanstvo.dirty || drzavljanstvo.touched)">Polje ne sme biti prazno</p>
        </div>
        <div class="form-group">
          <label for="">
            <b>Datum Rodjenja</b>
          </label>
          <div class="input-group">
            <input placeholder="yyyy-mm-dd" name="student.datumRodjenja" class="form-control" (dateSelect) = "onDateSelect($event)" ngbDatepicker
              #d="ngbDatepicker" required >
            <div class="input-group-append">
              <button class="btn btn-outline-secondary" (click)="d.toggle()" type="button">
                <span>
                  <i class="far fa-calendar-alt"></i>
                </span>
              </button>
            </div>
            
          </div>
        </div>
        <div class="form-group">
          <label for="email">
            <b>Email</b>
          </label>
          <input type="email" placeholder="Email" class="form-control" name="email" required minlength="5"  #email="ngModel" [(ngModel)]="student.email">
          <p class="text-danger" *ngIf="email.invalid && (email.dirty || email.touched)">Polje ne sme biti prazno</p>
        </div>
        <div class="form-group">
          <label for="jmbg">
            <b>JMBG</b>
          </label>
          <input type="number" placeholder="JMBG" name="jmbg" class="form-control" required minlength="13" #jmbg="ngModel" [(ngModel)]="student.jmbg">
          <p class="text-danger" *ngIf="jmbg.invalid && (jmbg.dirty || jmbg.touched)">Polje ne sme biti prazno</p>
        </div>
      </div>
      <div class="col-6">
        <div class="form-group">
          <label for="brIndeks">
            <b>Broj Indeksa</b>
          </label>
          <input type="text" placeholder="Broj Indeksa" name="student.brojIndeksa" class="form-control" required minlength="2" #indeks="ngModel" [(ngModel)]="student.brojIndeksa">
          <p class="text-danger" *ngIf="indeks.invalid && (indeks.dirty || indeks.touched)">Polje ne sme biti prazno</p>
        </div>
        <div class="form-group">
          <label for="brIndeks">
            <b>Godina Upisa</b>
          </label>
          <input type="number" placeholder="Godina Upisa" name="student.godinaUpisa" class="form-control" required minlength="4" [(ngModel)]="student.godinaUpisa">
        </div>
        <div class="form-group">
          <label for="brIndeks">
            <b>Godina studije</b>
          </label>
          <select class="form-control" name="godinaStudije" required [(ngModel)]="student.godinaStudije">
            <option value="1">1</option>
            <option value="2">2</option>
            <option value="3">3</option>
            <option value="4">4</option>
            <option value="5">5</option>
            <option value="6">6</option>
          </select>
        </div>
        <div class="form-group">
          <label for="smer">
            <b>Smer</b>
          </label>
          <select name="smer" class="form-control" [(ngModel)]="student.smer">
            <option *ngFor="let smer of smerovi" value="{{smer.id}}">{{smer.naziv}}</option>
          </select>
        </div>
        <div class="form-group">
          <label for="kIme">
            <b>Korisnicko Ime</b>
          </label>
          <div class="input-group">
            <input class="form-control" (input)="onUsernameChange()" minlength="3" required #korisnickoIme="ngModel" name="korisnickoIme" [(ngModel)]="student.korisnickoIme" placeholder="Korisnicko Ime">
            <div class="input-group-append">
              <span class="input-group-text" *ngIf="userNameAvailable == undefined">
                <button class="btn btn-link"  (click)="onUsernameCheck()" placement="right" ngbTooltip="Check username availability">
                  <i class="text-primary fas fa-redo-alt"></i>
                </button>
              </span>
              <span class="input-group-text bg-success" *ngIf="userNameAvailable">
                  <i class="far fa-check-circle text-light fa-2x"></i>
              </span>
              <span class="input-group-text bg-danger" *ngIf="userNameAvailable == false">
                  <i class="fas fa-lock text-light fa-2x"></i>
              </span>
            </div>
          </div>
          <p class="text-danger" *ngIf="userNameAvailable == false">This username is not available</p>
          <p class="text-danger" *ngIf="korisnickoIme.invalid && (korisnickoIme.dirty || korisnickoIme.touched)">Polje ne sme biti prazno</p>
        </div>
        <div class="form-group">
          <label for="kIme">
            <b>Sifra</b>
          </label>
          <input class="form-control" name="student.sifra" required minlength="3" [(ngModel)]="student.sifra" type="password" placeholder="Sifra" #sifra="ngModel">
          <p class="text-danger" *ngIf="sifra.invalid && (sifra.dirty || sifra.touched)">Polje ne sme biti prazno</p>
        </div>
      </div>
    </div>
  </form>




</div>





<div class="card-footer">
  <div class="row">
    <div class="col-2">
      <button class="btn btn-success" (click)="onAddClick()" [disabled]="addStudentForm.invalid || !userNameAvailables">Add Student</button>
    </div>
    <div class="col-8"></div>
    <div class="col-1"></div>
    <div class="col-1">
      <button class="btn btn-info" (click)="onBack()">Back</button>
    </div>
  </div>
</div>